
Redmine - Defect #33645

Log time button broken for non administrator users.

2020-06-22 09:54 - Tarik Hijstek

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

If we edit an issue, and use the time logging built into that form, it does work. But we cannot choose the date when those hours were

spent.

The "log time" button shows the form correctly, but one save is pressed, we get an error "User is invalid". This error does not occur

when logged into an administrator account.

Looking at the request parameters we can see that time_entry[user_id] is missing, compared to what gets sent if you are an

administrator.

History

#1 - 2020-06-22 10:41 - Go MAEDA

I could not reproduce the error with a non-admin account. What I have tried is to log time by clicking on the "Log time" link in the upper right corner of

the issue page, and to log time by clicking on "Edit" for issue.

Could you try again after uninstalling all plugins?

#2 - 2020-06-25 10:03 - Tarik Hijstek

It took me a while to spin up a new test server with an clean install of redmine, apologies for the long wait time.

The clean instance does not have this issue. It must be related to one of the plugins we use (wk_time & ck_editor). I will test our current version of the

plugins, and the latest version

#3 - 2020-06-25 10:58 - Tarik Hijstek

Tested wk_time version 3.9.2 and 3.9.3. Both cause the issue. I am creating a issue for this plugin.

#4 - 2020-06-25 14:03 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.
